# Uses of Class
com.fasterxml.jackson.datatype.jsr310.deser.LocalTimeDeserializer

Packages that use LocalTimeDeserializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.deser

## Uses of LocalTimeDeserializer in com.fasterxml.jackson.datatype.jsr310.deser

Fields in com.fasterxml.jackson.datatype.jsr310.deser declared as LocalTimeDeserializer
Modifier and Type
Field
Description
`static final LocalTimeDeserializer`
LocalTimeDeserializer.`INSTANCE`
Methods in com.fasterxml.jackson.datatype.jsr310.deser that return LocalTimeDeserializer
Modifier and Type
Method
Description
`protected LocalTimeDeserializer`
LocalTimeDeserializer.`withDateFormat(DateTimeFormatter formatter)`
`protected LocalTimeDeserializer`
LocalTimeDeserializer.`withLeniency(Boolean leniency)`
`protected LocalTimeDeserializer`
LocalTimeDeserializer.`withShape(com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type LocalTimeDeserializer
Modifier
Constructor
Description
`protected`
`LocalTimeDeserializer(LocalTimeDeserializer base, Boolean leniency)`
Since 2.11